<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <!--xsl:call-template name="header"/-->

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="''"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'子库:'"/>
                <xsl:with-param name="value" select="./z30-sub-library"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'书名:'"/>
                <xsl:with-param name="value" select="./bib-info"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码号:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'索书号:'"/>
                <xsl:with-param name="value" select="./z30-call-no"/>
        </xsl:call-template>
        <xsl:call-template name="table-close"/>
</xsl:template>

</xsl:stylesheet>

