<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="funcs.xsl"/>
<xsl:template match="/">
       <xsl:call-template name="header"/>

<xsl:for-each select="//section-01">
        <xsl:call-template name="section-01"/>
</xsl:for-each>

    <xsl:call-template name="signature"/>
</xsl:template>

<xsl:template name="header">
    <xsl:call-template name="header-gen">
       <xsl:with-param name="title" select="'预约请求通知单'"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="section-01">
    <xsl:call-template name="sublib-address"/>
    <xsl:call-template name="patron-address"/>
        <!--Free Section Code -->
    <xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="bib-info-hdr"/>
<xsl:call-template name="table-open"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'条码:'"/>
                <xsl:with-param name="value" select="./z30-barcode"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'分馆:'"/>
                <xsl:with-param name="value" select="./z30-sub-library"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'索书号:'"/>
                <xsl:with-param name="value" select="./z30-call-no"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Email地址:'"/>
                <xsl:with-param name="value" select="./email-address"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
    <xsl:call-template name="display-gen">
                <xsl:with-param name="label" select="'Email地址:'"/>
                <xsl:with-param name="value" select="./z302-email-address"/>
                <xsl:with-param name="display" select="'always'"/>
        </xsl:call-template>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
<xsl:call-template name="table-close"/>
<xsl:call-template name="blank-line"/>
<xsl:call-template name="table-open-full"/>
        <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="signature">
     <xsl:call-template name="generic-line">
          <xsl:with-param name="line" select="'##国家图书馆出纳台## ## '"/>
       </xsl:call-template>
   </xsl:template>
</xsl:stylesheet>

