<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:template name="sublib-address">
   <TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial">
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ1"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ2"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ3"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ4"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ5"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ6"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ7"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ8"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ9"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ10"/></td><xsl:call-template name="table-end-row"/>
   </TABLE>
</xsl:template>
<xsl:template name="transfer-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ5"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ6"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ7"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ8"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ9"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ10"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="patron-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-0"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-zip"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-telephone"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-email-address"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID:'"/>
       <xsl:with-param name="value" select="//z302-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron Barcode'"/>
       <xsl:with-param name="value" select="//z308-key-data"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="vendor-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ5"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ6"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ7"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Attn:'"/>
       <xsl:with-param name="value" select="//z68-vendor-contact"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>





</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="bib-info">
   <xsl:param name="line"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
    <xsl:if test="$first = '' and $rest = '' ">
          <!--br/-->
      </xsl:if>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/><br/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $line != ''  and $line != '##'">
      <xsl:value-of select="$line"/><br/>
   </xsl:if>
</xsl:template>


</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:template name="budget-paid-unpaid-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Type'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Paid'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Unpaid'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
    <!--SECTION-02  (GRID - DATA)-->

<xsl:template name="budget-paid-unpaid-data">
    <xsl:param name="type"/>
    <xsl:param name="paid"/>
    <xsl:param name="not-paid"/>
   <xsl:call-template name="open-row-cond">
        <xsl:with-param name="display" select="$type"/>
    </xsl:call-template>
    <xsl:if test="$type!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$type"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$paid"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$not-paid"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    </xsl:if>
   <xsl:call-template name="close-row-cond">
        <xsl:with-param name="display" select="$type"/>
    </xsl:call-template>
</xsl:template>

<xsl:template name="budget-paid-unpaid">
  <xsl:if test="concat(./type-1, ./paid-1, ./not-paid-1) != ''">
       <xsl:call-template name="grid-title">
           <xsl:with-param name="grid-title" select="'Object Codes'"/>
       </xsl:call-template>
    <xsl:call-template name="grid-open"/>
    <xsl:call-template name="budget-paid-unpaid-hdr"/>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-1"/>
       <xsl:with-param name="paid" select="./paid-1"/>
       <xsl:with-param name="not-paid" select="./not-paid-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-2"/>
       <xsl:with-param name="paid" select="./paid-2"/>
       <xsl:with-param name="not-paid" select="./not-paid-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-3"/>
       <xsl:with-param name="paid" select="./paid-3"/>
       <xsl:with-param name="not-paid" select="./not-paid-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-4"/>
       <xsl:with-param name="paid" select="./paid-4"/>
       <xsl:with-param name="not-paid" select="./not-paid-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-5"/>
       <xsl:with-param name="paid" select="./paid-5"/>
       <xsl:with-param name="not-paid" select="./not-paid-5"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-6"/>
       <xsl:with-param name="paid" select="./paid-6"/>
       <xsl:with-param name="not-paid" select="./not-paid-6"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-7"/>
       <xsl:with-param name="paid" select="./paid-7"/>
       <xsl:with-param name="not-paid" select="./not-paid-7"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-8"/>
       <xsl:with-param name="paid" select="./paid-8"/>
       <xsl:with-param name="not-paid" select="./not-paid-8"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-9"/>
       <xsl:with-param name="paid" select="./paid-9"/>
       <xsl:with-param name="not-paid" select="./not-paid-9"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-10"/>
       <xsl:with-param name="paid" select="./paid-10"/>
       <xsl:with-param name="not-paid" select="./not-paid-10"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-11"/>
       <xsl:with-param name="paid" select="./paid-11"/>
       <xsl:with-param name="not-paid" select="./not-paid-11"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-12"/>
       <xsl:with-param name="paid" select="./paid-12"/>
       <xsl:with-param name="not-paid" select="./not-paid-12"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-13"/>
       <xsl:with-param name="paid" select="./paid-13"/>
       <xsl:with-param name="not-paid" select="./not-paid-13"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-14"/>
       <xsl:with-param name="paid" select="./paid-14"/>
       <xsl:with-param name="not-paid" select="./not-paid-14"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-15"/>
       <xsl:with-param name="paid" select="./paid-15"/>
       <xsl:with-param name="not-paid" select="./not-paid-15"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-16"/>
       <xsl:with-param name="paid" select="./paid-16"/>
       <xsl:with-param name="not-paid" select="./not-paid-16"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-17"/>
       <xsl:with-param name="paid" select="./paid-17"/>
       <xsl:with-param name="not-paid" select="./not-paid-17"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-18"/>
       <xsl:with-param name="paid" select="./paid-18"/>
       <xsl:with-param name="not-paid" select="./not-paid-18"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-19"/>
       <xsl:with-param name="paid" select="./paid-19"/>
       <xsl:with-param name="not-paid" select="./not-paid-19"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-20"/>
       <xsl:with-param name="paid" select="./paid-20"/>
       <xsl:with-param name="not-paid" select="./not-paid-20"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
  </xsl:if>
</xsl:template>


<xsl:template name="budget-num">
    <xsl:call-template name="budget-nums-hdr"/>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-5"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="budget-nums-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="'Budgets'"/>
       <xsl:with-param name="type" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="budget-nums-data">
    <xsl:param name="budget-num"/>
<xsl:call-template name="table-start-row"/>
    <xsl:if test="$budget-num!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$budget-num"/>
    </xsl:call-template>
    </xsl:if>
<xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:template name="sublib-address">
   <TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial">
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ1"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ2"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ3"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ4"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ5"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ6"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ7"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ8"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ9"/></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"></td><td><xsl:value-of select="//sub-library-address-1-occ10"/></td><xsl:call-template name="table-end-row"/>
   </TABLE>
</xsl:template>
<xsl:template name="transfer-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ5"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ6"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ7"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ8"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ9"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//transfer-library-address-1-occ10"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="patron-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-0"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-address-4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-zip"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-telephone"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z302-email-address"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID:'"/>
       <xsl:with-param name="value" select="//z302-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron Barcode'"/>
       <xsl:with-param name="value" select="//z308-key-data"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="vendor-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ1"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ2"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ3"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ4"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ5"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ6"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-start-row"/><td width="70%"><xsl:value-of select="//z72-vendor-address-occ7"/></td><td></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Attn:'"/>
       <xsl:with-param name="value" select="//z68-vendor-contact"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
</xsl:template>





</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="bib-info">
   <xsl:param name="line"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
    <xsl:if test="$first = '' and $rest = '' ">
          <!--br/-->
      </xsl:if>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/><br/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $line != ''  and $line != '##'">
      <xsl:value-of select="$line"/><br/>
   </xsl:if>
</xsl:template>


</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:template name="budget-paid-unpaid-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Type'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Paid'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="label" select="'Unpaid'"/>
       <xsl:with-param name="header" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>
    <!--SECTION-02  (GRID - DATA)-->

<xsl:template name="budget-paid-unpaid-data">
    <xsl:param name="type"/>
    <xsl:param name="paid"/>
    <xsl:param name="not-paid"/>
   <xsl:call-template name="open-row-cond">
        <xsl:with-param name="display" select="$type"/>
    </xsl:call-template>
    <xsl:if test="$type!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$type"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$paid"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$not-paid"/>
       <xsl:with-param name="type" select="'right'"/>
    </xsl:call-template>
    </xsl:if>
   <xsl:call-template name="close-row-cond">
        <xsl:with-param name="display" select="$type"/>
    </xsl:call-template>
</xsl:template>

<xsl:template name="budget-paid-unpaid">
  <xsl:if test="concat(./type-1, ./paid-1, ./not-paid-1) != ''">
       <xsl:call-template name="grid-title">
           <xsl:with-param name="grid-title" select="'Object Codes'"/>
       </xsl:call-template>
    <xsl:call-template name="grid-open"/>
    <xsl:call-template name="budget-paid-unpaid-hdr"/>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-1"/>
       <xsl:with-param name="paid" select="./paid-1"/>
       <xsl:with-param name="not-paid" select="./not-paid-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-2"/>
       <xsl:with-param name="paid" select="./paid-2"/>
       <xsl:with-param name="not-paid" select="./not-paid-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-3"/>
       <xsl:with-param name="paid" select="./paid-3"/>
       <xsl:with-param name="not-paid" select="./not-paid-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-4"/>
       <xsl:with-param name="paid" select="./paid-4"/>
       <xsl:with-param name="not-paid" select="./not-paid-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-5"/>
       <xsl:with-param name="paid" select="./paid-5"/>
       <xsl:with-param name="not-paid" select="./not-paid-5"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-6"/>
       <xsl:with-param name="paid" select="./paid-6"/>
       <xsl:with-param name="not-paid" select="./not-paid-6"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-7"/>
       <xsl:with-param name="paid" select="./paid-7"/>
       <xsl:with-param name="not-paid" select="./not-paid-7"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-8"/>
       <xsl:with-param name="paid" select="./paid-8"/>
       <xsl:with-param name="not-paid" select="./not-paid-8"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-9"/>
       <xsl:with-param name="paid" select="./paid-9"/>
       <xsl:with-param name="not-paid" select="./not-paid-9"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-10"/>
       <xsl:with-param name="paid" select="./paid-10"/>
       <xsl:with-param name="not-paid" select="./not-paid-10"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-11"/>
       <xsl:with-param name="paid" select="./paid-11"/>
       <xsl:with-param name="not-paid" select="./not-paid-11"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-12"/>
       <xsl:with-param name="paid" select="./paid-12"/>
       <xsl:with-param name="not-paid" select="./not-paid-12"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-13"/>
       <xsl:with-param name="paid" select="./paid-13"/>
       <xsl:with-param name="not-paid" select="./not-paid-13"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-14"/>
       <xsl:with-param name="paid" select="./paid-14"/>
       <xsl:with-param name="not-paid" select="./not-paid-14"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-15"/>
       <xsl:with-param name="paid" select="./paid-15"/>
       <xsl:with-param name="not-paid" select="./not-paid-15"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-16"/>
       <xsl:with-param name="paid" select="./paid-16"/>
       <xsl:with-param name="not-paid" select="./not-paid-16"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-17"/>
       <xsl:with-param name="paid" select="./paid-17"/>
       <xsl:with-param name="not-paid" select="./not-paid-17"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-18"/>
       <xsl:with-param name="paid" select="./paid-18"/>
       <xsl:with-param name="not-paid" select="./not-paid-18"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-19"/>
       <xsl:with-param name="paid" select="./paid-19"/>
       <xsl:with-param name="not-paid" select="./not-paid-19"/>
    </xsl:call-template>
    <xsl:call-template name="budget-paid-unpaid-data">
       <xsl:with-param name="type" select="./type-20"/>
       <xsl:with-param name="paid" select="./paid-20"/>
       <xsl:with-param name="not-paid" select="./not-paid-20"/>
    </xsl:call-template>
    <xsl:call-template name="table-close"/>
  </xsl:if>
</xsl:template>


<xsl:template name="budget-num">
    <xsl:call-template name="budget-nums-hdr"/>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-1"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-2"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-3"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-4"/>
    </xsl:call-template>
    <xsl:call-template name="budget-nums-data">
       <xsl:with-param name="type" select="./budget-number-5"/>
    </xsl:call-template>
</xsl:template>


<xsl:template name="budget-nums-hdr">
<xsl:call-template name="table-start-row"/>
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="'Budgets'"/>
       <xsl:with-param name="type" select="'header'"/>
    </xsl:call-template>
<xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="budget-nums-data">
    <xsl:param name="budget-num"/>
<xsl:call-template name="table-start-row"/>
    <xsl:if test="$budget-num!=''">
    <xsl:call-template name="display-grid-gen">
       <xsl:with-param name="value" select="$budget-num"/>
    </xsl:call-template>
    </xsl:if>
<xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="label-width" select="'20%'"/>

<xsl:template name="free-title">
    <xsl:param name="free-title"/>
        <xsl:call-template name="table-start-row"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="'underline;bold'"/>
            </xsl:call-template>
               <xsl:value-of select="$free-title"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="'underline;bold'"/>
            </xsl:call-template>
        </td>
        <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-gen">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display index -->
   <xsl:if test="$type = 'index'">
      <xsl:call-template name="position-index">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

      <!-- Display checkbox -->
    <xsl:if test="$type = 'check' ">

   <xsl:call-template name="free-data-check">
            <xsl:with-param name="label" select="$label"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="style" select="'bold'"/>
   </xsl:call-template>

     </xsl:if>

</xsl:template>

<xsl:template name="display-not-empty">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}">
        <b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



<xsl:template name="display-not-empty-barcode">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
         <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td   width="10%" align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td   width="10%" align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
</xsl:template>



<xsl:template name="bib-info-hdr">
    <xsl:call-template name="table-open-full"/>
     <td width="100%" colspan="2">
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="./bib-info"/>
         </xsl:call-template>
    </td>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="bib-info-free">
    <xsl:param name="value"/>
    <xsl:call-template name="table-open-full"/>
        <xsl:choose>
        <xsl:when test = "$value != ''">
            <td width="100%">
                <xsl:value-of select="$value"/>
            </td>
        </xsl:when>
        </xsl:choose>

    <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="position-index">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="concat($label, position())"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <!--xsl:value-of select="$value"/-->
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="free-data-check">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

        <form><td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <xsl:value-of select="$label"/>
        <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
        </xsl:call-template>
        </td><td>
        <xsl:variable name="loc-check-value">
        <xsl:choose>
          <xsl:when test="$check-value!='' and $value = $check-value">Y</xsl:when>
          <xsl:when test="$check-value ='' and (starts-with($value,'Y') or starts-with($value,'y'))">Y</xsl:when>
          <xsl:otherwise>N</xsl:otherwise>
        </xsl:choose>
        </xsl:variable>

            <xsl:choose>
            <xsl:when test="$loc-check-value = 'Y'">
              <xsl:text disable-output-escaping="yes">
              &lt;input checked type=checkbox /&gt;
              </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text disable-output-escaping="yes">
              &lt;input type=checkbox /&gt;
              </xsl:text>
            </xsl:otherwise>
            </xsl:choose>

        <br/></td></form>
</xsl:template>

</xsl:stylesheet>





<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
        <th>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
           <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
           </th>
</xsl:template>


<xsl:template name="style-start">
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
           <xsl:if test="$bold ='bold' ">
                 <xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$italic ='italic' ">
                 <xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$underline ='underline' ">
                 <xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text>
           </xsl:if>
</xsl:template>
<xsl:template name="style-end">
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
           <xsl:if test="$underline ='underline' ">
                 <xsl:text disable-output-escaping="yes">&lt;/u&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$italic ='italic' ">
                 <xsl:text disable-output-escaping="yes">&lt;/i&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$bold ='bold' ">
                 <xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
           </xsl:if>
</xsl:template>

<xsl:template name="grid-data-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
               <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
         <br/>
        </td>
</xsl:template>

<xsl:template name="grid-data-right-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
            <td align="right">
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
         <br/></td>
</xsl:template>

<xsl:template name="grid-data-barcode-style">
    <xsl:param name="value"/>
        <td align="center" STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<br/><xsl:value-of select="$value"/>*</td>
</xsl:template>

<xsl:template name="grid-data-bib-info-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:variable name="bib" select="./bib-info"/>
    <xsl:if test="$bib !='' ">
    <xsl:call-template name="bib-info">
       <xsl:with-param name="line" select="./bib-info"/>
    </xsl:call-template>
    </xsl:if>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    </td>
</xsl:template>

<xsl:template name="display-grid-gen-style">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

    <!-- Regular -->
    <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Header -->
    <xsl:if test="$type ='header' ">
      <xsl:call-template name="grid-hdr-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Right Aligned -->
    <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


    <!-- Barcode -->
    <xsl:if test="$type ='barcode' ">
      <xsl:call-template name="grid-data-barcode-style">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>

    <!-- bib-info -->
    <xsl:if test="$type ='bib-info' ">
      <xsl:call-template name="grid-data-bib-info-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
       <br/>
    </xsl:if>

</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr">
    <xsl:param name="value"/>
        <th><xsl:value-of select="$value"/></th>
</xsl:template>

<xsl:template name="grid-data">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <!--xsl:value-of select="$value"/-->
            <xsl:call-template name="put-data">
                <xsl:with-param name="value" select="$value"/>
            </xsl:call-template>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>


<xsl:template name="put-data">
    <xsl:param name="value"/>
   <xsl:variable name="first" select="substring-before($value,'##')"/>
   <xsl:variable name="rest" select="substring-after($value,'##')"/>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/><br/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="put-data">
            <xsl:with-param name="value" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $value != ''  and $value != '##'">
      <xsl:value-of select="$value"/>
   </xsl:if>
</xsl:template>


<xsl:template name="grid-data-check">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

        <td align="middle"><form>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>

        <xsl:variable name="loc-check-value">
        <xsl:choose>
          <xsl:when test="$check-value!='' and $value = $check-value">Y</xsl:when>
          <xsl:when test="$check-value ='' and (starts-with($value,'Y') or starts-with($value,'y'))">Y</xsl:when>
          <xsl:otherwise>N</xsl:otherwise>
        </xsl:choose>
        </xsl:variable>

            <xsl:choose>
            <xsl:when test="$loc-check-value = 'Y'">
              <xsl:text disable-output-escaping="yes">
              &lt;input checked type=checkbox /&gt;
              </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text disable-output-escaping="yes">
              &lt;input type=checkbox /&gt;
              </xsl:text>
            </xsl:otherwise>
            </xsl:choose>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></form></td>
</xsl:template>


<xsl:template name="grid-index">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="position()"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>



<xsl:template name="grid-data-right">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
            <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>

<xsl:template name="grid-data-barcode">
    <xsl:param name="value"/>
        <td width="35%" align="center" STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*<br/></td>
</xsl:template>

<xsl:template name="grid-data-bib-info">
    <xsl:param name="value"/>
    <td>
    <xsl:variable name="bib" select="./bib-info"/>
    <xsl:if test="$value !='' ">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="$value"/>
       <xsl:with-param name="grid" select="'grid'"/>
    </xsl:call-template>
    </xsl:if>
     <br/>
    </td>
</xsl:template>



<xsl:template name="grid-title">
      <xsl:param name="grid-title"/>
    <xsl:call-template name="table-close"/>
       <br/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$grid-title"/></b></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <!--xsl:call-template name="grid-open"/-->
</xsl:template>

<xsl:template name="grid-title-nobold">
      <xsl:param name="grid-title"/>
    <xsl:call-template name="table-close"/>
       <br/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="table-start-row"/><td><xsl:value-of select="$grid-title"/></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <!--xsl:call-template name="grid-open"/-->
</xsl:template>

<xsl:template name="grid-data-restart">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
       <xsl:if test="$value!='' and position() !='1'">
           <xsl:call-template name="table-close"/>
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="grid-open"/>
       </xsl:if>
        <td><b>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </b><br/></td>
</xsl:template>





<xsl:template name="display-grid-gen">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="label"/>
    <xsl:param name="header"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

    <!-- Header -->
    <xsl:if test="$header ='header' ">
      <xsl:call-template name="grid-hdr">
          <xsl:with-param name="value" select="$label"/>
       </xsl:call-template>
     </xsl:if>

    <xsl:if test="$header ='' ">
    <!-- Regular -->
    <xsl:if test="$type ='index' ">
      <xsl:call-template name="grid-index">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Index -->
    <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Right Aligned -->
    <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Checkbox -->
    <xsl:if test="$type ='check' ">
      <xsl:call-template name="grid-data-check">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="check-value" select="$check-value"/>
       </xsl:call-template>
     </xsl:if>


    <!-- Barcode -->
    <xsl:if test="$type ='barcode' ">
      <xsl:call-template name="grid-data-barcode">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>

    <!-- bib-info -->
    <xsl:if test="$type ='bib-info' ">
      <xsl:call-template name="grid-data-bib-info">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>

    </xsl:if>

    <!-- Restart -->
    <xsl:if test="$type ='restart' ">
      <xsl:call-template name="grid-data-restart">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>
     </xsl:if>


</xsl:template>

<xsl:template name="start-grid">
    <xsl:param name="grid-title"/>
    <xsl:param name="width"/>
    <xsl:param name="nobold"/>

        <xsl:if test="$grid-title!='' and $nobold=''">
           <xsl:call-template name="grid-title">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
        </xsl:if>
        <xsl:if test="$grid-title!='' and $nobold='nobold'">
           <xsl:call-template name="grid-title-nobold">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
        </xsl:if>

        <xsl:if test="$grid-title=''">
             <br/>
        </xsl:if>
           <xsl:call-template name="grid-open">
              <xsl:with-param name="width" select="$width"/>
           </xsl:call-template>
</xsl:template>


</xsl:stylesheet>








<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:saxon="http://icl.com/saxon"-->
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:date="http://exslt.org/dates-and-times"-->
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="open-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>


<xsl:template name="close-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="display-grid-currency">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="display"/>
    <xsl:param name="header"/>

    <!-- Header -->
    <xsl:if test="$header !='' ">
    <xsl:if test="$display !='' ">
      <xsl:call-template name="grid-hdr">
          <xsl:with-param name="value" select="$label"/>
       </xsl:call-template>
       </xsl:if>
     </xsl:if>

    <xsl:if test="$header ='' ">

    <!-- Regular -->

    <xsl:if test="$label !='' ">
     <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>
     <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>
    </xsl:if>
     </xsl:if>

</xsl:template>






<xsl:template name="generic-line">
   <xsl:param name="line"/>
   <xsl:param name="style"/>
   <xsl:param name="no-first-time"/>
   <xsl:param name="grid"/>
   <xsl:param name="width"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
   <xsl:if test="$no-first-time='' and $grid='' ">
      <xsl:call-template name="table-close"/>
        <xsl:if test="$width=''">
             <xsl:call-template name="table-open-full"/>
        </xsl:if>
        <xsl:if test="$width!=''">
             <xsl:call-template name="table-open">
                <xsl:with-param name="width" select="$width"/>
                <xsl:with-param name="align" select="'left'"/>
             </xsl:call-template>
        </xsl:if>
   </xsl:if>
   <xsl:if test="$grid='' ">
       <xsl:call-template name="open-row"/>
   </xsl:if>

      <xsl:call-template name="build-style-start">
          <xsl:with-param name="style" select="$style"/>
      </xsl:call-template>

       <xsl:choose>
             <xsl:when test="$grid='' and $line='salutation_string' or $first='salutation_string'">
                <br/><br/>Dear Sir/Madam,<br/><br/>
                <xsl:call-template name="close-row"/>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$grid='' and contains($line,'salutation_string')">
                <br/><br/>Dear Sir/Madam,<br/><br/>
                <xsl:call-template name="close-row"/>
                 <xsl:variable name="rest_salut" select="substring-after($line,'salutation_string')"/>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest_salut"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$line='' or $line='##'">
                <br/>
             </xsl:when>
             <xsl:when test="not(contains($line, '##'))">
                <xsl:value-of select="$line"/><br/>
             </xsl:when>
             <xsl:when test="$first='' and $rest!=''">
                <xsl:if test="$grid='' ">
                  <br/>
                   <xsl:call-template name="close-row"/>
                </xsl:if>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$first!='' and $rest=''">
                <xsl:value-of select="$first"/>
                <xsl:if test="$grid='' ">
                   <br/><br/>
                </xsl:if>
             </xsl:when>
             <xsl:when test="$first!='' and $rest!=''">
                <xsl:value-of select="$first"/><br/>
                <xsl:if test="$grid='' ">
                   <xsl:call-template name="close-row"/>
                </xsl:if>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
       </xsl:choose>
      <xsl:call-template name="build-style-end">
          <xsl:with-param name="style" select="$style"/>
      </xsl:call-template>
   <xsl:if test="$grid='' ">
      <xsl:call-template name="open-row"/>
   </xsl:if>
</xsl:template>

<xsl:template name="close-row">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="open-row">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;&lt;td&gt;</xsl:text>
</xsl:template>


<xsl:template name="build-style-start">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="build-style-end">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u/&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->
    <br/>
</xsl:template>


<xsl:template name="blank-line">
    <br/>
</xsl:template>


<xsl:template name="blank-line-first">
    <xsl:if test="position()='1'">
       <br/>
    </xsl:if>
</xsl:template>


<xsl:template name="blank-line-in-free">
    <xsl:param name="lines"/>
    <xsl:param name="first-time"/>
    <xsl:if test="$first-time = ''">
        <xsl:call-template name="table-close"/>
    </xsl:if>
    <xsl:if test="$lines = '' or $lines = '1'">
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="table-open"/>
    </xsl:if>
    <xsl:if test="$lines != '' and $lines != '1'">
           <xsl:call-template name="blank-line"/>
            <xsl:call-template name="blank-line-in-free">
                <xsl:with-param name="lines" select="number($lines - 1)"/>
                <xsl:with-param name="first-time" select="no"/>
            </xsl:call-template>
    </xsl:if>
</xsl:template>

<xsl:template name="checkbox">
    <xsl:param name="text"/>
         <form>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width = "20%">
        <b><xsl:value-of select="$text"/></b></td>
        <td>
            <input type="checkbox"/>
        </td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    </form>
</xsl:template>

<xsl:template name="directly-to-patron">
    <xsl:if test="./z302-address-1 != ''">
     <xsl:call-template name="table-open"/>
     <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send Directly to:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
     </xsl:call-template>
     <xsl:call-template name="patron-address"/>
     <xsl:call-template name="table-close"/>
    </xsl:if>
</xsl:template>

<xsl:template name="requested-by-proxy">
   <xsl:param name="condition-field"/>
    <xsl:if test="$condition-field!=''">
     <xsl:call-template name="free-title">
         <xsl:with-param name="free-title" select="'Requested By:'"/>
     </xsl:call-template>
     <xsl:call-template name="display-gen">
         <xsl:with-param name="label" select="'Requester ID:'"/>
         <xsl:with-param name="value" select="./z37-requester-id"/>
     </xsl:call-template>

    </xsl:if>
</xsl:template>

</xsl:stylesheet>







<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>





</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>






<xsl:template name="salutation-init">
   <xsl:param name="salutation"/>
     <xsl:call-template name="table-open-full"/>
     <xsl:call-template name="table-start-row"/><td><br/>Dear Sir/Madam,<br/><br/></td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="$salutation"/>
        </xsl:call-template>
</xsl:template>



<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->
    <br/><br/>
</xsl:template>


</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="display-gen-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

      <!-- Display checkbox -->
    <xsl:if test="$type = 'check' ">

   <xsl:call-template name="free-data-check">
            <xsl:with-param name="label" select="$label"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="style" select="'bold'"/>
   </xsl:call-template>

     </xsl:if>

     <!-- Display index -->
   <xsl:if test="$type = 'index'">
      <xsl:call-template name="position-index">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="'bold'"/>
          <xsl:with-param name="width" select="'40%'"/>
       </xsl:call-template>
     </xsl:if>

</xsl:template>

<xsl:template name="display-not-empty-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%">

        <b><xsl:value-of select="$label"/></b></td>
        <td width="30%">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



<xsl:template name="display-not-empty-barcode-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
         <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                *<xsl:value-of select="$value"/>*
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                *<xsl:value-of select="$value"/>*
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-right-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="display-not-empty-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                 <xsl:value-of select="$value"/>
            <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
       </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                   <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                 <xsl:value-of select="$value"/></td>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
              <xsl:value-of select="$value"/></td>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>




<xsl:template name="bib-info-hdr-style">
   <xsl:param name="line"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-open-full"/>
     <td width="100%" colspan="2">
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$line"/>
         </xsl:call-template>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    </td>
    <xsl:call-template name="table-close"/>
</xsl:template>




<xsl:template name="display-not-empty-barcode-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-gen-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>



</xsl:template>

<xsl:template name="header-gen-style">
     <xsl:param name="title"/>
         <xsl:text>&#xa;</xsl:text>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>
    <!--DIV  STYLE="font-size: 9pt; font-family: Arial"-->
      <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
    <xsl:call-template name="table-start-row"/><td><SCRIPT LANGUAGE="JavaScript">document.write(Date())</SCRIPT></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td><xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/></td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER"><b><xsl:value-of select="$title"/></b></td><xsl:call-template name="table-end-row"/>
   </TABLE>
</xsl:template>

<xsl:template name="signature-gen-style">
     <xsl:param name="signature"/>
       <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
     <xsl:call-template name="bib-info">
        <xsl:with-param name="line" select="$signature"/>
    </xsl:call-template>
   </TABLE>
</xsl:template>






</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="table-width" select="'100%'"/>


<xsl:template name="table-open-full">
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$table-width"/></xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align">center</xsl:attribute>
    </xsl:element>
</xsl:template>

<xsl:template name="table-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
    <xsl:variable name="cur-width">
         <xsl:choose>
         <xsl:when test = "$width != ''">
             <xsl:value-of select="$width"/>
         </xsl:when>
         <xsl:otherwise><xsl:value-of select="$table-width"/></xsl:otherwise>
         </xsl:choose>
    </xsl:variable>
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$cur-width"/></xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align">center<xsl:value-of select="$align"/></xsl:attribute>
    </xsl:element>
</xsl:template>

<xsl:template name="grid-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
    <xsl:variable name="cur-width">
         <xsl:choose>
         <xsl:when test = "$width != ''">
             <xsl:value-of select="$width"/>
         </xsl:when>
         <xsl:otherwise>100%</xsl:otherwise>
         </xsl:choose>
    </xsl:variable>
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$cur-width"/></xsl:attribute>
                  <xsl:attribute name="BORDER">1</xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align"><xsl:value-of select="$align"/></xsl:attribute>
    </xsl:element>
</xsl:template>


<xsl:template name="grid-close">
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="table-close">
         <xsl:text disable-output-escaping="yes">&lt;/TABLE&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-split-open">
         <xsl:text disable-output-escaping="yes">        &lt;TABLE ALIGN="CENTER" WIDTH="100%"&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;tr&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;td width="50%"&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">           &lt;TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-split-right">
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">           &lt;TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"&gt;</xsl:text>
</xsl:template>
<xsl:template name="table-split-close">
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/tr&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-start-row">
         <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
</xsl:template>
<xsl:template name="table-end-row">
         <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
</xsl:template>


</xsl:stylesheet>




<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:include href="funcs-address.xsl"/>
<xsl:include href="funcs-bib-info.xsl"/>
<!--xsl:include href="funcs-salut-sign.xsl"/-->
<!--xsl:include href="funcs-right.xsl"/-->
<xsl:include href="funcs-split.xsl"/>
<xsl:include href="funcs-grid.xsl"/>
<xsl:include href="funcs-free.xsl"/>
<xsl:include href="funcs-table.xsl"/>
<!--xsl:include href="funcs-grid-style.xsl"/-->
<!--xsl:include href="funcs-style.xsl"/-->
<!--xsl:include href="funcs-right-style.xsl"/-->
<xsl:include href="funcs-misc.xsl"/>
<!--xsl:include href="funcs-multilines.xsl"/-->
<xsl:include href="funcs-budget-status.xsl"/>
<!--xsl:include href="date.xsl"/-->
<!--xsl:include href="date.date.template.xsl"/-->
<!--xsl:include href="date.date.function.xsl"/-->

<xsl:template name="header-gen">
     <xsl:param name="title"/>
     <xsl:param name="sub-title"/>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>

   <!--DIV  STYLE="font-size: 9pt; font-family: Arial"-->
   <xsl:call-template name="table-open-full"/>

     <xsl:call-template name="table-start-row"/><td><xsl:value-of select="//form-date"/></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td>
           <xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/>
    </td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"><hr/></td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="$title"/><br/></b>
     </td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
   <xsl:if test="$sub-title !='' ">
        <xsl:call-template name="table-open-full"/>

        <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="$sub-title"/><br/></b>
        </td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="table-close"/>
   </xsl:if>

</xsl:template>

<xsl:template name="horizontal-line">
    <hr/>
</xsl:template>

<xsl:template name="local-title">
      <xsl:param name="local-title"/>
       <br/>
   <xsl:call-template name="table-open"/>
   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$local-title"/></b></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>







</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="label-width" select="'20%'"/>

<xsl:template name="free-title">
    <xsl:param name="free-title"/>
        <xsl:call-template name="table-start-row"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="'underline;bold'"/>
            </xsl:call-template>
               <xsl:value-of select="$free-title"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="'underline;bold'"/>
            </xsl:call-template>
        </td>
        <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-gen">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display index -->
   <xsl:if test="$type = 'index'">
      <xsl:call-template name="position-index">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="width" select="$width"/>
       </xsl:call-template>
     </xsl:if>

      <!-- Display checkbox -->
    <xsl:if test="$type = 'check' ">

   <xsl:call-template name="free-data-check">
            <xsl:with-param name="label" select="$label"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="style" select="'bold'"/>
   </xsl:call-template>

     </xsl:if>

</xsl:template>

<xsl:template name="display-not-empty">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}">
        <b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



<xsl:template name="display-not-empty-barcode">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
         <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:if test="$value !=''">
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td   width="10%" align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="$label"/></b></td>
        <td   width="10%" align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <xsl:call-template name="table-open"/>
</xsl:template>



<xsl:template name="bib-info-hdr">
    <xsl:call-template name="table-open-full"/>
     <td width="100%" colspan="2">
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="./bib-info"/>
         </xsl:call-template>
    </td>
    <xsl:call-template name="table-close"/>
</xsl:template>

<xsl:template name="bib-info-free">
    <xsl:param name="value"/>
    <xsl:call-template name="table-open-full"/>
        <xsl:choose>
        <xsl:when test = "$value != ''">
            <td width="100%">
                <xsl:value-of select="$value"/>
            </td>
        </xsl:when>
        </xsl:choose>

    <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="position-index">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="width"/>
    <xsl:variable name="local-width">
    <xsl:choose>
    <xsl:when test = "$width = ''">
        <xsl:value-of select="$label-width"/>
    </xsl:when>
    <xsl:otherwise><xsl:value-of select="$width"/></xsl:otherwise>
    </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="table-start-row"/>
        <td width="{$local-width}"><b><xsl:value-of select="concat($label, position())"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <!--xsl:value-of select="$value"/-->
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>


<xsl:template name="free-data-check">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

        <form><td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <xsl:value-of select="$label"/>
        <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
        </xsl:call-template>
        </td><td>
        <xsl:variable name="loc-check-value">
        <xsl:choose>
          <xsl:when test="$check-value!='' and $value = $check-value">Y</xsl:when>
          <xsl:when test="$check-value ='' and (starts-with($value,'Y') or starts-with($value,'y'))">Y</xsl:when>
          <xsl:otherwise>N</xsl:otherwise>
        </xsl:choose>
        </xsl:variable>

            <xsl:choose>
            <xsl:when test="$loc-check-value = 'Y'">
              <xsl:text disable-output-escaping="yes">
              &lt;input checked type=checkbox /&gt;
              </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text disable-output-escaping="yes">
              &lt;input type=checkbox /&gt;
              </xsl:text>
            </xsl:otherwise>
            </xsl:choose>

        <br/></td></form>
</xsl:template>

</xsl:stylesheet>





<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
        <th>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
           <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
           </th>
</xsl:template>


<xsl:template name="style-start">
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
           <xsl:if test="$bold ='bold' ">
                 <xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$italic ='italic' ">
                 <xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$underline ='underline' ">
                 <xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text>
           </xsl:if>
</xsl:template>
<xsl:template name="style-end">
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
           <xsl:if test="$underline ='underline' ">
                 <xsl:text disable-output-escaping="yes">&lt;/u&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$italic ='italic' ">
                 <xsl:text disable-output-escaping="yes">&lt;/i&gt;</xsl:text>
           </xsl:if>
           <xsl:if test="$bold ='bold' ">
                 <xsl:text disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
           </xsl:if>
</xsl:template>

<xsl:template name="grid-data-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
               <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
         <br/>
        </td>
</xsl:template>

<xsl:template name="grid-data-right-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
            <td align="right">
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
         <br/></td>
</xsl:template>

<xsl:template name="grid-data-barcode-style">
    <xsl:param name="value"/>
        <td align="center" STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<br/><xsl:value-of select="$value"/>*</td>
</xsl:template>

<xsl:template name="grid-data-bib-info-style">
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:variable name="bib" select="./bib-info"/>
    <xsl:if test="$bib !='' ">
    <xsl:call-template name="bib-info">
       <xsl:with-param name="line" select="./bib-info"/>
    </xsl:call-template>
    </xsl:if>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    </td>
</xsl:template>

<xsl:template name="display-grid-gen-style">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

    <!-- Regular -->
    <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Header -->
    <xsl:if test="$type ='header' ">
      <xsl:call-template name="grid-hdr-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Right Aligned -->
    <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


    <!-- Barcode -->
    <xsl:if test="$type ='barcode' ">
      <xsl:call-template name="grid-data-barcode-style">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>

    <!-- bib-info -->
    <xsl:if test="$type ='bib-info' ">
      <xsl:call-template name="grid-data-bib-info-style">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
       <br/>
    </xsl:if>

</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="grid-hdr">
    <xsl:param name="value"/>
        <th><xsl:value-of select="$value"/></th>
</xsl:template>

<xsl:template name="grid-data">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <!--xsl:value-of select="$value"/-->
            <xsl:call-template name="put-data">
                <xsl:with-param name="value" select="$value"/>
            </xsl:call-template>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>


<xsl:template name="put-data">
    <xsl:param name="value"/>
   <xsl:variable name="first" select="substring-before($value,'##')"/>
   <xsl:variable name="rest" select="substring-after($value,'##')"/>
   <xsl:if test="$first != ''">
       <xsl:value-of select="$first"/><br/>
   </xsl:if>
   <xsl:if test="$rest != ''">
        <xsl:call-template name="put-data">
            <xsl:with-param name="value" select="$rest"/>
         </xsl:call-template>
   </xsl:if>
   <xsl:if test="$rest = '' and $value != ''  and $value != '##'">
      <xsl:value-of select="$value"/>
   </xsl:if>
</xsl:template>


<xsl:template name="grid-data-check">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

        <td align="middle"><form>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>

        <xsl:variable name="loc-check-value">
        <xsl:choose>
          <xsl:when test="$check-value!='' and $value = $check-value">Y</xsl:when>
          <xsl:when test="$check-value ='' and (starts-with($value,'Y') or starts-with($value,'y'))">Y</xsl:when>
          <xsl:otherwise>N</xsl:otherwise>
        </xsl:choose>
        </xsl:variable>

            <xsl:choose>
            <xsl:when test="$loc-check-value = 'Y'">
              <xsl:text disable-output-escaping="yes">
              &lt;input checked type=checkbox /&gt;
              </xsl:text>
            </xsl:when>
            <xsl:otherwise>
              <xsl:text disable-output-escaping="yes">
              &lt;input type=checkbox /&gt;
              </xsl:text>
            </xsl:otherwise>
            </xsl:choose>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></form></td>
</xsl:template>


<xsl:template name="grid-index">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="position()"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>



<xsl:template name="grid-data-right">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
        <td align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
            <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        <br/></td>
</xsl:template>

<xsl:template name="grid-data-barcode">
    <xsl:param name="value"/>
        <td width="35%" align="center" STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*<br/></td>
</xsl:template>

<xsl:template name="grid-data-bib-info">
    <xsl:param name="value"/>
    <td>
    <xsl:variable name="bib" select="./bib-info"/>
    <xsl:if test="$value !='' ">
    <xsl:call-template name="generic-line">
       <xsl:with-param name="line" select="$value"/>
       <xsl:with-param name="grid" select="'grid'"/>
    </xsl:call-template>
    </xsl:if>
     <br/>
    </td>
</xsl:template>



<xsl:template name="grid-title">
      <xsl:param name="grid-title"/>
    <xsl:call-template name="table-close"/>
       <br/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$grid-title"/></b></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <!--xsl:call-template name="grid-open"/-->
</xsl:template>

<xsl:template name="grid-title-nobold">
      <xsl:param name="grid-title"/>
    <xsl:call-template name="table-close"/>
       <br/>
    <xsl:call-template name="table-open"/>

   <xsl:call-template name="table-start-row"/><td><xsl:value-of select="$grid-title"/></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    <!--xsl:call-template name="grid-open"/-->
</xsl:template>

<xsl:template name="grid-data-restart">
    <xsl:param name="value"/>
    <xsl:param name="style"/>
       <xsl:if test="$value!='' and position() !='1'">
           <xsl:call-template name="table-close"/>
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="grid-open"/>
       </xsl:if>
        <td><b>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
               <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </b><br/></td>
</xsl:template>





<xsl:template name="display-grid-gen">
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="label"/>
    <xsl:param name="header"/>
    <xsl:param name="style"/>
    <xsl:param name="check-value"/>

    <!-- Header -->
    <xsl:if test="$header ='header' ">
      <xsl:call-template name="grid-hdr">
          <xsl:with-param name="value" select="$label"/>
       </xsl:call-template>
     </xsl:if>

    <xsl:if test="$header ='' ">
    <!-- Regular -->
    <xsl:if test="$type ='index' ">
      <xsl:call-template name="grid-index">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Index -->
    <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Right Aligned -->
    <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Checkbox -->
    <xsl:if test="$type ='check' ">
      <xsl:call-template name="grid-data-check">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
          <xsl:with-param name="check-value" select="$check-value"/>
       </xsl:call-template>
     </xsl:if>


    <!-- Barcode -->
    <xsl:if test="$type ='barcode' ">
      <xsl:call-template name="grid-data-barcode">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>

    <!-- bib-info -->
    <xsl:if test="$type ='bib-info' ">
      <xsl:call-template name="grid-data-bib-info">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>

    </xsl:if>

    <!-- Restart -->
    <xsl:if test="$type ='restart' ">
      <xsl:call-template name="grid-data-restart">
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>
     </xsl:if>


</xsl:template>

<xsl:template name="start-grid">
    <xsl:param name="grid-title"/>
    <xsl:param name="width"/>
    <xsl:param name="nobold"/>

        <xsl:if test="$grid-title!='' and $nobold=''">
           <xsl:call-template name="grid-title">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
        </xsl:if>
        <xsl:if test="$grid-title!='' and $nobold='nobold'">
           <xsl:call-template name="grid-title-nobold">
              <xsl:with-param name="grid-title" select="$grid-title"/>
           </xsl:call-template>
        </xsl:if>

        <xsl:if test="$grid-title=''">
             <br/>
        </xsl:if>
           <xsl:call-template name="grid-open">
              <xsl:with-param name="width" select="$width"/>
           </xsl:call-template>
</xsl:template>


</xsl:stylesheet>








<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:saxon="http://icl.com/saxon"-->
<xsl:output method="xml" indent="yes"/>

   <!--xmlns:date="http://exslt.org/dates-and-times"-->
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="open-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>


<xsl:template name="close-row-cond">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="display-grid-currency">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="type"/>
    <xsl:param name="display"/>
    <xsl:param name="header"/>

    <!-- Header -->
    <xsl:if test="$header !='' ">
    <xsl:if test="$display !='' ">
      <xsl:call-template name="grid-hdr">
          <xsl:with-param name="value" select="$label"/>
       </xsl:call-template>
       </xsl:if>
     </xsl:if>

    <xsl:if test="$header ='' ">

    <!-- Regular -->

    <xsl:if test="$label !='' ">
     <xsl:if test="$type ='right' ">
      <xsl:call-template name="grid-data-right">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>
     <xsl:if test="$type ='' ">
      <xsl:call-template name="grid-data">
          <xsl:with-param name="value" select="$value"/>
       </xsl:call-template>
     </xsl:if>
    </xsl:if>
     </xsl:if>

</xsl:template>






<xsl:template name="generic-line">
   <xsl:param name="line"/>
   <xsl:param name="style"/>
   <xsl:param name="no-first-time"/>
   <xsl:param name="grid"/>
   <xsl:param name="width"/>
   <xsl:variable name="first" select="substring-before($line,'##')"/>
   <xsl:variable name="rest" select="substring-after($line,'##')"/>
   <xsl:if test="$no-first-time='' and $grid='' ">
      <xsl:call-template name="table-close"/>
        <xsl:if test="$width=''">
             <xsl:call-template name="table-open-full"/>
        </xsl:if>
        <xsl:if test="$width!=''">
             <xsl:call-template name="table-open">
                <xsl:with-param name="width" select="$width"/>
                <xsl:with-param name="align" select="'left'"/>
             </xsl:call-template>
        </xsl:if>
   </xsl:if>
   <xsl:if test="$grid='' ">
       <xsl:call-template name="open-row"/>
   </xsl:if>

      <xsl:call-template name="build-style-start">
          <xsl:with-param name="style" select="$style"/>
      </xsl:call-template>

       <xsl:choose>
             <xsl:when test="$grid='' and $line='salutation_string' or $first='salutation_string'">
                <br/><br/>Dear Sir/Madam,<br/><br/>
                <xsl:call-template name="close-row"/>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$grid='' and contains($line,'salutation_string')">
                <br/><br/>Dear Sir/Madam,<br/><br/>
                <xsl:call-template name="close-row"/>
                 <xsl:variable name="rest_salut" select="substring-after($line,'salutation_string')"/>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest_salut"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$line='' or $line='##'">
                <br/>
             </xsl:when>
             <xsl:when test="not(contains($line, '##'))">
                <xsl:value-of select="$line"/><br/>
             </xsl:when>
             <xsl:when test="$first='' and $rest!=''">
                <xsl:if test="$grid='' ">
                  <br/>
                   <xsl:call-template name="close-row"/>
                </xsl:if>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
             <xsl:when test="$first!='' and $rest=''">
                <xsl:value-of select="$first"/>
                <xsl:if test="$grid='' ">
                   <br/><br/>
                </xsl:if>
             </xsl:when>
             <xsl:when test="$first!='' and $rest!=''">
                <xsl:value-of select="$first"/><br/>
                <xsl:if test="$grid='' ">
                   <xsl:call-template name="close-row"/>
                </xsl:if>
                <xsl:call-template name="generic-line">
                   <xsl:with-param name="line" select="$rest"/>
                   <xsl:with-param name="style" select="$style"/>
                   <xsl:with-param name="grid" select="$grid"/>
                   <xsl:with-param name="no-first-time" select="'y'"/>
                </xsl:call-template>
             </xsl:when>
       </xsl:choose>
      <xsl:call-template name="build-style-end">
          <xsl:with-param name="style" select="$style"/>
      </xsl:call-template>
   <xsl:if test="$grid='' ">
      <xsl:call-template name="open-row"/>
   </xsl:if>
</xsl:template>

<xsl:template name="close-row">
    <xsl:param name="display"/>
    <xsl:if test="$display !='' ">
      <xsl:text disable-output-escaping="yes">&lt;/td&gt;&lt;/tr&gt;</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template name="open-row">
      <xsl:text disable-output-escaping="yes">&lt;tr&gt;&lt;td&gt;</xsl:text>
</xsl:template>


<xsl:template name="build-style-start">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="build-style-end">
   <xsl:param name="style"/>
      <xsl:if test="contains($style, 'bold')"><xsl:text disable-output-escaping="yes">&lt;b/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'italic')"><xsl:text disable-output-escaping="yes">&lt;i/&gt;</xsl:text></xsl:if>
      <xsl:if test="contains($style, 'underline')"><xsl:text disable-output-escaping="yes">&lt;u/&gt;</xsl:text></xsl:if>
</xsl:template>

<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->
    <br/>
</xsl:template>


<xsl:template name="blank-line">
    <br/>
</xsl:template>


<xsl:template name="blank-line-first">
    <xsl:if test="position()='1'">
       <br/>
    </xsl:if>
</xsl:template>


<xsl:template name="blank-line-in-free">
    <xsl:param name="lines"/>
    <xsl:param name="first-time"/>
    <xsl:if test="$first-time = ''">
        <xsl:call-template name="table-close"/>
    </xsl:if>
    <xsl:if test="$lines = '' or $lines = '1'">
           <xsl:call-template name="blank-line"/>
           <xsl:call-template name="table-open"/>
    </xsl:if>
    <xsl:if test="$lines != '' and $lines != '1'">
           <xsl:call-template name="blank-line"/>
            <xsl:call-template name="blank-line-in-free">
                <xsl:with-param name="lines" select="number($lines - 1)"/>
                <xsl:with-param name="first-time" select="no"/>
            </xsl:call-template>
    </xsl:if>
</xsl:template>

<xsl:template name="checkbox">
    <xsl:param name="text"/>
         <form>
    <xsl:call-template name="table-open"/>
    <xsl:call-template name="table-start-row"/>
        <td width = "20%">
        <b><xsl:value-of select="$text"/></b></td>
        <td>
            <input type="checkbox"/>
        </td>
    <xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-close"/>
    </form>
</xsl:template>

<xsl:template name="directly-to-patron">
    <xsl:if test="./z302-address-1 != ''">
     <xsl:call-template name="table-open"/>
     <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Send Directly to:'"/>
       <xsl:with-param name="value" select="''"/>
       <xsl:with-param name="display" select="'always'"/>
     </xsl:call-template>
     <xsl:call-template name="patron-address"/>
     <xsl:call-template name="table-close"/>
    </xsl:if>
</xsl:template>

<xsl:template name="requested-by-proxy">
   <xsl:param name="condition-field"/>
    <xsl:if test="$condition-field!=''">
     <xsl:call-template name="free-title">
         <xsl:with-param name="free-title" select="'Requested By:'"/>
     </xsl:call-template>
     <xsl:call-template name="display-gen">
         <xsl:with-param name="label" select="'Requester ID:'"/>
         <xsl:with-param name="value" select="./z37-requester-id"/>
     </xsl:call-template>

    </xsl:if>
</xsl:template>

</xsl:stylesheet>







<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>





</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->


<xsl:template name="display-not-empty-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-right">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right"><xsl:value-of select="$value"/></td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



</xsl:stylesheet>

<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>






<xsl:template name="salutation-init">
   <xsl:param name="salutation"/>
     <xsl:call-template name="table-open-full"/>
     <xsl:call-template name="table-start-row"/><td><br/>Dear Sir/Madam,<br/><br/></td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="generic-line">
            <xsl:with-param name="line" select="$salutation"/>
        </xsl:call-template>
</xsl:template>



<xsl:template name="salutation-end">
    <xsl:call-template name="table-close"/>
     <!--/TABLE-->
    <br/><br/>
</xsl:template>


</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>




<xsl:template name="display-gen-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="style"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode-split">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="$style"/>
       </xsl:call-template>
     </xsl:if>

      <!-- Display checkbox -->
    <xsl:if test="$type = 'check' ">

   <xsl:call-template name="free-data-check">
            <xsl:with-param name="label" select="$label"/>
            <xsl:with-param name="value" select="$value"/>
            <xsl:with-param name="style" select="'bold'"/>
   </xsl:call-template>

     </xsl:if>

     <!-- Display index -->
   <xsl:if test="$type = 'index'">
      <xsl:call-template name="position-index">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="style" select="'bold'"/>
          <xsl:with-param name="width" select="'40%'"/>
       </xsl:call-template>
     </xsl:if>

</xsl:template>

<xsl:template name="display-not-empty-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%">

        <b><xsl:value-of select="$label"/></b></td>
        <td width="30%">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
        <td></td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>



<xsl:template name="display-not-empty-barcode-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
         <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                *<xsl:value-of select="$value"/>*
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                *<xsl:value-of select="$value"/>*
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-right-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td align="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-right-split">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="style"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td alignment="right">
            <xsl:call-template name="build-style-start">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
                <xsl:value-of select="$value"/>
            <xsl:call-template name="build-style-end">
                <xsl:with-param name="style" select="$style"/>
            </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

</xsl:stylesheet>



<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>

   <!--xsl:version="1.0"-->

<xsl:template name="display-not-empty-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                 <xsl:value-of select="$value"/>
            <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
       </td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                   <xsl:value-of select="$value"/>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        </td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-not-empty-split-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
            <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
                 <xsl:value-of select="$value"/></td>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-split-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td>
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
              <xsl:value-of select="$value"/></td>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    <xsl:call-template name="table-end-row"/>
</xsl:template>




<xsl:template name="bib-info-hdr-style">
   <xsl:param name="line"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-open-full"/>
     <td width="100%" colspan="2">
           <xsl:call-template name="style-start">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
        <xsl:call-template name="bib-info">
            <xsl:with-param name="line" select="$line"/>
         </xsl:call-template>
           <xsl:call-template name="style-end">
               <xsl:with-param name="bold" select="$bold"/>
               <xsl:with-param name="italic" select="$italic"/>
               <xsl:with-param name="underline" select="$underline"/>
           </xsl:call-template>
    </td>
    <xsl:call-template name="table-close"/>
</xsl:template>




<xsl:template name="display-not-empty-barcode-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:if test="$value !=''">
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
     </xsl:if>
</xsl:template>

<xsl:template name="display-always-barcode-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>
    <xsl:call-template name="table-start-row"/>
        <td width="40%"><b><xsl:value-of select="$label"/></b></td>
        <td STYLE="font-family=CarolinaBar-B39-2.5-22x158x720;">*<xsl:value-of select="$value"/>*</td>
    <xsl:call-template name="table-end-row"/>
</xsl:template>

<xsl:template name="display-gen-style">
    <xsl:param name="label"/>
    <xsl:param name="value"/>
    <xsl:param name="display"/>
    <xsl:param name="type"/>
    <xsl:param name="bold"/>
    <xsl:param name="italic"/>
    <xsl:param name="underline"/>

    <!-- Regular -->
    <xsl:if test="$display =''  and $type = '' ">
      <xsl:call-template name="display-not-empty-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data -->
   <xsl:if test="$display ='always'  and $type = ''">
      <xsl:call-template name="display-always-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>






    <!-- Regular  - align right-->
    <xsl:if test="$display =''  and $type = 'right'">
      <xsl:call-template name="display-not-empty-right-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

     <!-- Display label even if no data - align right -->
   <xsl:if test="$display ='always'  and $type = 'right'">
      <xsl:call-template name="display-always-right-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>

    <!-- Regular - Barcode -->
    <xsl:if test="$display =''  and $type = 'barcode' ">
      <xsl:call-template name="display-not-empty-barcode-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>


     <!-- Display label even if no data - Barcode -->
   <xsl:if test="$display ='always'  and $type = 'barcode'">
      <xsl:call-template name="display-always-barcode-style">
          <xsl:with-param name="label" select="$label"/>
          <xsl:with-param name="value" select="$value"/>
          <xsl:with-param name="bold" select="$bold"/>
          <xsl:with-param name="italic" select="$italic"/>
          <xsl:with-param name="underline" select="$underline"/>
       </xsl:call-template>
     </xsl:if>



</xsl:template>

<xsl:template name="header-gen-style">
     <xsl:param name="title"/>
         <xsl:text>&#xa;</xsl:text>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>
    <!--DIV  STYLE="font-size: 9pt; font-family: Arial"-->
      <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
    <xsl:call-template name="table-start-row"/><td><SCRIPT LANGUAGE="JavaScript">document.write(Date())</SCRIPT></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td><xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/></td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER"><b><xsl:value-of select="$title"/></b></td><xsl:call-template name="table-end-row"/>
   </TABLE>
</xsl:template>

<xsl:template name="signature-gen-style">
     <xsl:param name="signature"/>
       <TABLE WIDTH="100%" style="font-family=arial; font-size=9pt">
     <xsl:call-template name="bib-info">
        <xsl:with-param name="line" select="$signature"/>
    </xsl:call-template>
   </TABLE>
</xsl:template>






</xsl:stylesheet>


<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>


<xsl:variable name="table-width" select="'100%'"/>


<xsl:template name="table-open-full">
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$table-width"/></xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align">center</xsl:attribute>
    </xsl:element>
</xsl:template>

<xsl:template name="table-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
    <xsl:variable name="cur-width">
         <xsl:choose>
         <xsl:when test = "$width != ''">
             <xsl:value-of select="$width"/>
         </xsl:when>
         <xsl:otherwise><xsl:value-of select="$table-width"/></xsl:otherwise>
         </xsl:choose>
    </xsl:variable>
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$cur-width"/></xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align">center<xsl:value-of select="$align"/></xsl:attribute>
    </xsl:element>
</xsl:template>

<xsl:template name="grid-open">
    <xsl:param name="width"/>
    <xsl:param name="align"/>
    <xsl:variable name="cur-width">
         <xsl:choose>
         <xsl:when test = "$width != ''">
             <xsl:value-of select="$width"/>
         </xsl:when>
         <xsl:otherwise>100%</xsl:otherwise>
         </xsl:choose>
    </xsl:variable>
    <xsl:element name="TABLE">
                  <xsl:attribute name="WIDTH"><xsl:value-of select="$cur-width"/></xsl:attribute>
                  <xsl:attribute name="BORDER">1</xsl:attribute>
                 <xsl:attribute name="style">font-family=arial; font-size=9pt</xsl:attribute>
                  <xsl:attribute name="align"><xsl:value-of select="$align"/></xsl:attribute>
    </xsl:element>
</xsl:template>


<xsl:template name="grid-close">
        <xsl:call-template name="table-close"/>
</xsl:template>


<xsl:template name="table-close">
         <xsl:text disable-output-escaping="yes">&lt;/TABLE&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-split-open">
         <xsl:text disable-output-escaping="yes">        &lt;TABLE ALIGN="CENTER" WIDTH="100%"&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;tr&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;td width="50%"&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">           &lt;TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-split-right">
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">           &lt;TABLE WIDTH="100%" STYLE="font-size: 9pt; font-family: Arial"&gt;</xsl:text>
</xsl:template>
<xsl:template name="table-split-close">
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/td&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">         &lt;/tr&gt;</xsl:text>
         <xsl:text disable-output-escaping="yes">        &lt;/TABLE&gt;</xsl:text>
</xsl:template>

<xsl:template name="table-start-row">
         <xsl:text disable-output-escaping="yes">&lt;tr&gt;</xsl:text>
</xsl:template>
<xsl:template name="table-end-row">
         <xsl:text disable-output-escaping="yes">&lt;/tr&gt;</xsl:text>
</xsl:template>


</xsl:stylesheet>




<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:include href="funcs-address.xsl"/>
<xsl:include href="funcs-bib-info.xsl"/>
<!--xsl:include href="funcs-salut-sign.xsl"/-->
<!--xsl:include href="funcs-right.xsl"/-->
<xsl:include href="funcs-split.xsl"/>
<xsl:include href="funcs-grid.xsl"/>
<xsl:include href="funcs-free.xsl"/>
<xsl:include href="funcs-table.xsl"/>
<!--xsl:include href="funcs-grid-style.xsl"/-->
<!--xsl:include href="funcs-style.xsl"/-->
<!--xsl:include href="funcs-right-style.xsl"/-->
<xsl:include href="funcs-misc.xsl"/>
<!--xsl:include href="funcs-multilines.xsl"/-->
<xsl:include href="funcs-budget-status.xsl"/>
<!--xsl:include href="date.xsl"/-->
<!--xsl:include href="date.date.template.xsl"/-->
<!--xsl:include href="date.date.function.xsl"/-->

<xsl:template name="header-gen">
     <xsl:param name="title"/>
     <xsl:param name="sub-title"/>
   <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8"/>

   <!--DIV  STYLE="font-size: 9pt; font-family: Arial"-->
   <xsl:call-template name="table-open-full"/>

     <xsl:call-template name="table-start-row"/><td><xsl:value-of select="//form-date"/></td><xsl:call-template name="table-end-row"/>
    <xsl:call-template name="table-start-row"/><td>
           <xsl:value-of select="//form-name"/>-<xsl:value-of select="//form-format"/>
    </td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"><hr/></td><xsl:call-template name="table-end-row"/>
     <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="$title"/><br/></b>
     </td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
   <xsl:if test="$sub-title !='' ">
        <xsl:call-template name="table-open-full"/>

        <xsl:call-template name="table-start-row"/><td width="100%" colspan="2"  STYLE="font-size: 12pt; font-family: Arial" ALIGN="CENTER">
                  <b><xsl:value-of select="$sub-title"/><br/></b>
        </td><xsl:call-template name="table-end-row"/>
        <xsl:call-template name="table-close"/>
   </xsl:if>

</xsl:template>

<xsl:template name="horizontal-line">
    <hr/>
</xsl:template>

<xsl:template name="local-title">
      <xsl:param name="local-title"/>
       <br/>
   <xsl:call-template name="table-open"/>
   <xsl:call-template name="table-start-row"/><td><b><xsl:value-of select="$local-title"/></b></td><xsl:call-template name="table-end-row"/>
   <xsl:call-template name="table-close"/>
</xsl:template>







</xsl:stylesheet>



