<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" indent="yes"/>



<xsl:template name="sublib-address">
<xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ1"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ2"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ3"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ4"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ5"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ6"/><xsl:call-template name="new-line"/>
<xsl:value-of select="//sub-library-address-1-occ7"/><xsl:call-template name="new-line"/>
</xsl:template>

<xsl:template name="transfer-address">
   <xsl:value-of select="//transfer-library-address-1-occ1"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ2"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ3"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ4"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ5"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ6"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//transfer-library-address-1-occ7"/><xsl:call-template name="new-line"/>
</xsl:template>

<xsl:template name="patron-address">
   <xsl:value-of select="//z302-address-0"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-address-1"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-address-2"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-address-3"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-address-4"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-zip"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z302-email-address"/><xsl:call-template name="new-line"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron ID'"/>
       <xsl:with-param name="value" select="//z302-id"/>
    </xsl:call-template>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Patron Barcode'"/>
       <xsl:with-param name="value" select="//z308-key-data"/>
    </xsl:call-template>
</xsl:template>

<xsl:template name="vendor-address">
   <xsl:call-template name="table-open-full"/>
   <xsl:value-of select="//z72-vendor-address-occ1"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ2"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ3"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ4"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ5"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ6"/><xsl:call-template name="new-line"/>
   <xsl:value-of select="//z72-vendor-address-occ7"/><xsl:call-template name="new-line"/>
    <xsl:call-template name="display-gen">
       <xsl:with-param name="label" select="'Attn'"/>
       <xsl:with-param name="value" select="//z68-vendor-contact"/>
    </xsl:call-template>
</xsl:template>





</xsl:stylesheet>



